> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Vehicle Listening State

> Set the listening state for a vehicle.

The listening state controls whether a vehicle can:
* Process incoming data stream messages
* Accept remote commands
* Fetch data from OEM endpoints

Requirements:
* Vehicle must belong to the authenticated organization
* Request will update the vehicle's desired listening state

If the vehicle is already in the requested listening state, the request is a
no-op: no new audit entry is recorded and a 200 response is returned with the
current state.


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR



## OpenAPI

````yaml post /v1/vehicles/{vehicle_id}/listening
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/vehicles/{vehicle_id}/listening:
    post:
      tags:
        - Vehicle Listening
      summary: Set Vehicle Listening State
      description: >-
        Set the listening state for a vehicle.


        The listening state controls whether a vehicle can:

        * Process incoming data stream messages

        * Accept remote commands

        * Fetch data from OEM endpoints


        Requirements:

        * Vehicle must belong to the authenticated organization

        * Request will update the vehicle's desired listening state


        If the vehicle is already in the requested listening state, the request
        is a

        no-op: no new audit entry is recorded and a 200 response is returned
        with the

        current state.



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - REQUEST_VALIDATION_ERROR

        - RESOURCE_NOT_FOUND

        - SERVER_ERROR
      operationId: Set_Vehicle_Listening_State_v1_vehicles__vehicle_id__listening_post
      parameters:
        - name: vehicle_id
          in: path
          required: true
          schema:
            type: string
            title: Vehicle ID
            description: Unique internal identifier for the vehicle.
          description: Unique internal identifier for the vehicle.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VehicleListeningRequest'
      responses:
        '200':
          description: >-
            The vehicle is already in the requested listening state; no change
            was made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleListeningResponse'
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VehicleListeningResponse'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    VehicleListeningRequest:
      properties:
        isListening:
          type: boolean
          title: Islistening
          description: >-
            Indicates whether the vehicle should be marked as listening for
            data.
      type: object
      required:
        - isListening
      title: VehicleListeningRequest
    VehicleListeningResponse:
      properties:
        vehicleId:
          type: string
          title: Vehicleid
          description: Unique identifier of the vehicle.
        isListening:
          type: boolean
          title: Islistening
          description: Reflects the requested listening state.
        lastUpdated:
          type: string
          format: date-time
          title: Lastupdated
          description: >-
            Timestamp (UTC) representing when the listening state was last
            updated.
      type: object
      required:
        - vehicleId
        - isListening
        - lastUpdated
      title: VehicleListeningResponse
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````